Subject: Re: [6.6.x REGRESSION][BISECTED] dev_snmp6: broken Ip6OutOctets accounting for forwarded IPv6 packets

From: Vitezslav Samel <[email-masked]>
Date: Thu, 25 Jan 2024 07:47:40 +0100

On Wed, Jan 24, 2024 at 17:46:52 -0800, Jakub Kicinski wrote:
> On Thu, 25 Jan 2024 08:37:11 +0800 heng guo wrote:
> > >> Heng Guo, David, any thoughts on this? Revert?  
> > > Revert is best; Heng Guo can revisit the math and try again.
> > >
> > > The patch in question basically negated IPSTATS_MIB_OUTOCTETS; I see it
> > > shown in proc but never bumped in the datapath.  
> > [HG]: Yes please revert it. I verified the patch on ipv4, seems I should 
> > not touch the codes to ipv6. Sorry for it.
> 
> Would you mind sending a patch with a revert, explaining the situation,
> the right Fixes tag and a link to Vitezslav's report?

  I took a look at current master and found that there is yet another
commit since 6.6.x which touches this area: commit b4a11b2033b7 by Heng Guo
("net: fix IPSTATS_MIB_OUTPKGS increment in OutForwDatagrams"). It went
in v6.7-rc1.

  I will test current master this afternoon and report back.

	Vita